/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.examples.mailreaderjpa;

/**
 * <p>Shared manifest constants for this application.</p>
 */
final class Constants {
    

    // ------------------------------------------------------------ Constructors


    /** Private constructor to disable instantiation */
    private Constants() {
    }
    

    // ------------------------------------------------------ Manifest Constants


    /**
     * <p>Transaction mode to use when creating a new row.</p>
     */
    static final String CREATE_MODE = "CREATE";


    /**
     * <p>Transaction mode to use when deleting an existing row.</p>
     */
    static final String DELETE_MODE = "DELETE";


    /**
     * <p>Transaction mode to use when displaying an existing row.</p>
     */
    static final String DISPLAY_MODE = "DISPLAY";


    /**
     * <p>Name of the application scoped bean containing our application
     * wide domains information.</p>
     */
    static final String DOMAINS_BEAN = "domains";


    /**
     * <p>Transaction mode to use when editing an existing row.</p>
     */
    static final String EDIT_MODE = "EDIT";


    /**
     * <p>Name of the session scoped bean containing our state information.</p>
     */
    static final String STATE_BEAN = "state";


}
