<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>

<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

--%>

<f:view>
<f:loadBundle var="messages" basename="org.apache.shale.examples.mailreaderjpa.Bundle"/>
<html>
<head>
  <title>
    <h:outputText       value="#{messages['registration.title.create']}"
                     rendered="#{master.mode == 'CREATE'}"/>
    <h:outputText       value="#{messages['registration.title.edit']}"
                     rendered="#{master.mode == 'EDIT'}"/>
  </title>
</head>
<body>

<h:messages        globalOnly="true"/>

<h:form                    id="registration">

  <h:panelGrid        columns="3">

    <%-- Grid header element --%>

    <f:facet name="header">
      <h:panelGroup>
        <h:outputText
                        value="#{messages['registration.header.create']}"
                     rendered="#{master.mode == 'CREATE'}"/>
        <h:outputText
                        value="#{messages['registration.header.edit']}"
                     rendered="#{master.mode == 'EDIT'}"/>
      </h:panelGroup>
    </f:facet>

    <%-- First row --%>

    <h:outputLabel        for="username">
      <h:outputText     value="#{messages['prompt.username']}"/>
    </h:outputLabel>

    <h:panelGroup>
      <h:inputText         id="username"
                     rendered="#{master.mode == 'CREATE'}"
                     required="true"
                         size="16"
                        value="#{master.user.username}"/>
      <h:outputText     value="#{master.user.username}"
                     rendered="#{master.mode == 'EDIT'}"/>
    </h:panelGroup>

    <h:panelGroup>
      <h:message          for="username"
                     rendered="#{master.mode == 'CREATE'}"/>
      <h:outputText     value=""
                     rendered="#{master.mode == 'EDIT'}"/>
    </h:panelGroup>

    <%-- Second row --%>

    <h:outputLabel        for="password">
      <h:outputText     value="#{messages['prompt.password']}"/>
    </h:outputLabel>

    <h:inputSecret         id="password"
                         size="16"
                     required="#{master.mode == 'CREATE'}"
                        value="#{master.password}"/>

    <h:message            for="password"/>

    <%-- Third row --%>

    <h:outputLabel        for="password2">
      <h:outputText     value="#{messages['prompt.password2']}"/>
    </h:outputLabel>

    <h:inputSecret         id="password2"
                         size="16"
                     required="#{master.mode == 'CREATE'}"
                        value="#{master.password2}"/>

    <h:message            for="password2"/>

    <%-- Fourth row --%>

    <h:outputLabel        for="fullName">
      <h:outputText     value="#{messages['prompt.fullName']}"/>
    </h:outputLabel>

    <h:inputText           id="fullName"
                         size="50"
                     required="true"
                        value="#{master.user.fullName}"/>

    <h:message            for="fullName"/>

    <%-- Fifth row --%>

    <h:outputLabel        for="fromAddress">
      <h:outputText     value="#{messages['prompt.fromAddress']}"/>
    </h:outputLabel>

    <h:inputText           id="fromAddress"
                         size="50"
                     required="true"
                        value="#{master.user.fromAddress}"/>

    <h:message            for="fromAddress"/>

    <%-- Sixth row --%>

    <h:outputLabel        for="replyToAddress">
      <h:outputText     value="#{messages['prompt.replyToAddress']}"/>
    </h:outputLabel>

    <h:inputText           id="replyToAddress"
                         size="50"
                        value="#{master.user.replyToAddress}"/>

    <h:message            for="replyToAddress"/>

    <%-- Seventh row --%>

    <h:outputText       value=""/>

    <h:panelGroup>
      <h:commandButton     id="submit"
                       action="#{master.save}"
                         type="SUBMIT"
                        value="#{messages['button.save']}"/>
      <h:commandButton     id="reset"
                         type="RESET"
                        value="#{messages['button.reset']}"/>
      <h:commandButton     id="cancel"
                         type="SUBMIT"
                       action="#{master.cancel}"
                    immediate="true"
                        value="#{messages['button.cancel']}"/>
    </h:panelGroup>

    <h:outputText       value=""/>

  </h:panelGrid>

  <h:dataTable             id="table"
                     rendered="#{master.mode == 'EDIT'}"
                        value="#{master.user.subscriptions}"
                          var="current">

    <h:column>
      <f:facet           name="header">
        <h:outputText   value="#{messages['heading.host']}"/>
      </f:facet>
      <h:outputText        id="subHost"
                        value="#{current.host}"/>
    </h:column>

    <h:column>
      <f:facet           name="header">
        <h:outputText   value="#{messages['heading.user']}"/>
      </f:facet>
      <h:outputText        id="subUsername"
                        value="#{current.username}"/>
    </h:column>

    <h:column>
      <f:facet           name="header">
        <h:outputText   value="#{messages['heading.type']}"/>
      </f:facet>
      <h:outputText        id="subType"
                        value="#{current.protocol.description}"/>
    </h:column>

    <h:column>
      <f:facet           name="header">
        <h:outputText   value="#{messages['heading.autoConnect']}"/>
      </f:facet>
      <h:outputText        id="subAutoConnect"
                        value="#{current.autoConnect}"/>
    </h:column>

    <h:column>
      <f:facet           name="header">
        <h:outputText   value="#{messages['heading.action']}"/>
      </f:facet>
      <h:outputLink        id="display"
                        value="detail.faces">
        <f:param         name="id"
                        value="#{current.id}"/>
        <h:outputText   value="#{messages['button.display']}"/>
      </h:outputLink>
      <h:outputLink        id="delete"
                        value="detail.faces">
        <f:param         name="id"
                        value="#{current.id}"/>
        <f:param         name="mode"
                        value="DELETE"/>
        <h:outputText   value="#{messages['button.delete']}"/>
      </h:outputLink>
      <h:outputLink        id="edit"
                        value="detail.faces">
        <f:param         name="id"
                        value="#{current.id}"/>
        <f:param         name="mode"
                        value="EDIT"/>
        <h:outputText   value="#{messages['button.edit']}"/>
      </h:outputLink>
    </h:column>

  </h:dataTable>

  <h:outputLink            id="create"
                        value="detail.faces">
    <f:param             name="mode"
                        value="CREATE"/>
    <h:outputText       value="#{messages['button.create']}"/>
  </h:outputLink>


</h:form>

</body>
</html>
</f:view>
